<script type="text/javascript">
    document.getElementById('reset').onclick= function() {
        var field1= document.getElementById('lng');
        var field2= document.getElementById('lat');
        field1.value= field1.defaultValue;
        field2.value= field2.defaultValue;
    };
</script>    
<script type="text/javascript">
    function updateMarkerPosition(latLng) {
      // Degree Minute Second (DMS)
      var latitude = Math.abs(Math.round(latLng.lat() * 1000000.));
      var longitude = Math.abs(Math.round(latLng.lng() * 1000000.));
      // Lat
      var latResult = latLng.lat().toFixed(6);
      var latDegree = Math.floor((latitude / 1000000)).toString();
      var latMinute = Math.floor(((latitude/1000000) - Math.floor(latitude/1000000)) * 60).toString();
      var latSecond = ( Math.floor(((((latitude/1000000) - Math.floor(latitude/1000000)) * 60) - Math.floor(((latitude/1000000) - Math.floor(latitude/1000000)) * 60)) * 100000) *60/100000 ).toString();
      var latSecondForTen = latSecond/10;
      var latSecondResult = Math.round(latSecondForTen * 100) / 100 * 10;
      // Lng
      var lngResult = latLng.lng().toFixed(6);
      var lngDegree = Math.floor((longitude / 1000000)).toString();
      var lngMinute = Math.floor(((longitude/1000000) - Math.floor(longitude/1000000)) * 60).toString();
      var lngSecond = ( Math.floor(((((longitude/1000000) - Math.floor(longitude/1000000)) * 60) - Math.floor(((longitude/1000000) - Math.floor(longitude/1000000)) * 60)) * 100000) *60/100000 ).toString();
      var lngSecondForTen = lngSecond/10;
      var lngSecondResult = Math.round(lngSecondForTen * 100) / 100 * 10;

      document.getElementById("latitude").value=latResult;
      document.getElementById("longitude").value=lngResult;
      document.getElementById("latdegree").value=latDegree;
      document.getElementById("latminute").value=latMinute;
      document.getElementById("latsecond").value=latSecondResult.toFixed(1);
      document.getElementById("lngdegree").value=lngDegree;
      document.getElementById("lngminute").value=lngMinute;
      document.getElementById("lngsecond").value=lngSecondResult.toFixed(1);

      // Default
      // document.getElementById('lat').value = [latLng.lat()];
      // document.getElementById('lng').value = [latLng.lng()];
    }

    var default_lat = "<?=(@$main['ordinat_s'] != '') ? $main['ordinat_s'] : '-7.671324672687404'; ?>";
    var default_lng = "<?=(@$main['ordinat_e'] != '') ? $main['ordinat_e'] : '109.66037688354493'; ?>";

    var myOptions = {
      center:  new google.maps.LatLng(default_lat,default_lng),
      zoom: 10,
      scaleControl: true,
      zoomControlOptions: {style:google.maps.ZoomControlStyle.LARGE},
      mapTypeId: google.maps.MapTypeId.ROADMAP
    };

    // Define the LatLng coordinates for the polygon.
        var koordinatKebumen = [
            {lat: -7.719936, lng: 109.388149},
            {lat: -7.713922, lng: 109.387936},
            {lat: -7.708234, lng: 109.388698},
            {lat: -7.701068, lng: 109.390908},
            {lat: -7.699827, lng: 109.392058},
            {lat: -7.698679, lng: 109.395384},
            {lat: -7.695755, lng: 109.395609},
            {lat: -7.694235, lng: 109.394719},
            {lat: -7.692102, lng: 109.392214},
            {lat: -7.690879, lng: 109.385777},
            {lat: -7.690902, lng: 109.385193},
            {lat: -7.690477, lng: 109.384504},
            {lat: -7.688297, lng: 109.382637},
            {lat: -7.686915, lng: 109.380244},
            {lat: -7.686463, lng: 109.380119},
            {lat: -7.681030, lng: 109.387430},
            {lat: -7.675352, lng: 109.387119},
            {lat: -7.673481, lng: 109.386690},
            {lat: -7.672486, lng: 109.388058},
            {lat: -7.672486, lng: 109.389936},
            {lat: -7.672890, lng: 109.390891},
            {lat: -7.672752, lng: 109.391910},
            {lat: -7.671455, lng: 109.392382},
            {lat: -7.669818, lng: 109.392361},
            {lat: -7.669308, lng: 109.392104},
            {lat: -7.668064, lng: 109.389272},
            {lat: -7.669063, lng: 109.387888},
            {lat: -7.670552, lng: 109.387384},
            {lat: -7.671190, lng: 109.386633},
            {lat: -7.665384, lng: 109.384112},
            {lat: -7.664725, lng: 109.384198},
            {lat: -7.658663, lng: 109.388565},
            {lat: -7.653305, lng: 109.383497},
            {lat: -7.651476, lng: 109.384463},
            {lat: -7.650243, lng: 109.384989},
            {lat: -7.651155, lng: 109.387326},
            {lat: -7.649573, lng: 109.390091},
            {lat: -7.648818, lng: 109.389855},
            {lat: -7.647904, lng: 109.388643},
            {lat: -7.646787, lng: 109.388933},
            {lat: -7.645383, lng: 109.388944},
            {lat: -7.645044, lng: 109.390665},
            {lat: -7.644193, lng: 109.390762},
            {lat: -7.644087, lng: 109.391384},
            {lat: -7.644342, lng: 109.392907},
            {lat: -7.645012, lng: 109.392467},
            {lat: -7.647238, lng: 109.392155},
            {lat: -7.647200, lng: 109.393140},
            {lat: -7.647881, lng: 109.394706},
            {lat: -7.646881, lng: 109.396101},
            {lat: -7.646945, lng: 109.396616},
            {lat: -7.648178, lng: 109.396562},
            {lat: -7.648731, lng: 109.397056},
            {lat: -7.648678, lng: 109.397818},
            {lat: -7.648731, lng: 109.398494},
            {lat: -7.648986, lng: 109.398891},
            {lat: -7.649167, lng: 109.398998},
            {lat: -7.648486, lng: 109.399513},
            {lat: -7.647561, lng: 109.399760},
            {lat: -7.646763, lng: 109.401552},
            {lat: -7.645955, lng: 109.402271},
            {lat: -7.646008, lng: 109.402904},
            {lat: -7.646221, lng: 109.403698},
            {lat: -7.647231, lng: 109.403086},
            {lat: -7.647529, lng: 109.403043},
            {lat: -7.648050, lng: 109.402845},
            {lat: -7.648275, lng: 109.402990},
            {lat: -7.648360, lng: 109.403167},
            {lat: -7.649245, lng: 109.402783},
            {lat: -7.649479, lng: 109.402547},
            {lat: -7.649604, lng: 109.402357},
            {lat: -7.649798, lng: 109.402196},
            {lat: -7.649912, lng: 109.402268},
            {lat: -7.650263, lng: 109.402762},
            {lat: -7.651440, lng: 109.404210},
            {lat: -7.650217, lng: 109.404130},
            {lat: -7.649746, lng: 109.404189},
            {lat: -7.648216, lng: 109.404762},
            {lat: -7.648072, lng: 109.405086},
            {lat: -7.648120, lng: 109.405706},
            {lat: -7.648213, lng: 109.405902},
            {lat: -7.648867, lng: 109.405923},
            {lat: -7.649149, lng: 109.405998},
            {lat: -7.649279, lng: 109.406124},
            {lat: -7.650679, lng: 109.405954},
            {lat: -7.650893, lng: 109.406411},
            {lat: -7.651345, lng: 109.407076},
            {lat: -7.651279, lng: 109.407224},
            {lat: -7.650886, lng: 109.407441},
            {lat: -7.650442, lng: 109.407508},
            {lat: -7.649777, lng: 109.407838},
            {lat: -7.649083, lng: 109.407825},
            {lat: -7.648897, lng: 109.411776},
            {lat: -7.648894, lng: 109.412106},
            {lat: -7.647896, lng: 109.412422},
            {lat: -7.647832, lng: 109.415187},
            {lat: -7.646769, lng: 109.415536},
            {lat: -7.645546, lng: 109.416115},
            {lat: -7.645328, lng: 109.416136},
            {lat: -7.644610, lng: 109.415916},
            {lat: -7.643401, lng: 109.416573},
            {lat: -7.642944, lng: 109.417496},
            {lat: -7.642508, lng: 109.417721},
            {lat: -7.640041, lng: 109.418333},
            {lat: -7.639626, lng: 109.419159},
            {lat: -7.639445, lng: 109.419245},
            {lat: -7.639190, lng: 109.419309},
            {lat: -7.638478, lng: 109.419352},
            {lat: -7.638203, lng: 109.419676},
            {lat: -7.638078, lng: 109.419936},
            {lat: -7.638110, lng: 109.421551},
            {lat: -7.637112, lng: 109.422293},
            {lat: -7.637080, lng: 109.422403},
            {lat: -7.637218, lng: 109.423253},
            {lat: -7.637197, lng: 109.423827},
            {lat: -7.637128, lng: 109.423937},
            {lat: -7.636998, lng: 109.423999},
            {lat: -7.636214, lng: 109.424133},
            {lat: -7.635078, lng: 109.424332},
            {lat: -7.633882, lng: 109.425048},
            {lat: -7.633132, lng: 109.426745},
            {lat: -7.633685, lng: 109.427850},
            {lat: -7.633164, lng: 109.428333},
            {lat: -7.633579, lng: 109.428923},
            {lat: -7.634759, lng: 109.429771},
            {lat: -7.635046, lng: 109.431026},
            {lat: -7.635769, lng: 109.434835},
            {lat: -7.634578, lng: 109.436187},
            {lat: -7.632513, lng: 109.438082},
            {lat: -7.631705, lng: 109.438554},
            {lat: -7.630748, lng: 109.438887},
            {lat: -7.630512, lng: 109.440034},
            {lat: -7.630044, lng: 109.440173},
            {lat: -7.628396, lng: 109.440001},
            {lat: -7.628162, lng: 109.440655},
            {lat: -7.627747, lng: 109.440945},
            {lat: -7.627407, lng: 109.440816},
            {lat: -7.626897, lng: 109.440151},
            {lat: -7.626429, lng: 109.440012},
            {lat: -7.626118, lng: 109.440739},
            {lat: -7.626439, lng: 109.441139},
            {lat: -7.626420, lng: 109.441261},
            {lat: -7.626340, lng: 109.441383},
            {lat: -7.626204, lng: 109.441433},
            {lat: -7.625747, lng: 109.441347},
            {lat: -7.625386, lng: 109.441339},
            {lat: -7.625094, lng: 109.441451},
            {lat: -7.624514, lng: 109.441759},
            {lat: -7.624069, lng: 109.442099},
            {lat: -7.623995, lng: 109.442238},
            {lat: -7.624039, lng: 109.442329},
            {lat: -7.624549, lng: 109.442455},
            {lat: -7.624990, lng: 109.442468},
            {lat: -7.624993, lng: 109.443069},
            {lat: -7.623998, lng: 109.443208},
            {lat: -7.623836, lng: 109.443302},
            {lat: -7.623815, lng: 109.443415},
            {lat: -7.624461, lng: 109.443925},
            {lat: -7.624490, lng: 109.444043},
            {lat: -7.624426, lng: 109.444164},
            {lat: -7.624264, lng: 109.444325},
            {lat: -7.624102, lng: 109.444379},
            {lat: -7.622323, lng: 109.444494},
            {lat: -7.621648, lng: 109.444191},
            {lat: -7.621505, lng: 109.444234},
            {lat: -7.621462, lng: 109.444328},
            {lat: -7.621446, lng: 109.445548},
            {lat: -7.621393, lng: 109.445803},
            {lat: -7.621241, lng: 109.446066},
            {lat: -7.621034, lng: 109.446278},
            {lat: -7.620859, lng: 109.446375},
            {lat: -7.620357, lng: 109.446295},
            {lat: -7.620123, lng: 109.446156},
            {lat: -7.619502, lng: 109.445586},
            {lat: -7.619332, lng: 109.445559},
            {lat: -7.618545, lng: 109.445787},
            {lat: -7.617184, lng: 109.445538},
            {lat: -7.617096, lng: 109.445408},
            {lat: -7.616849, lng: 109.444783},
            {lat: -7.616062, lng: 109.444242},
            {lat: -7.615225, lng: 109.444156},
            {lat: -7.615042, lng: 109.444073},
            {lat: -7.614938, lng: 109.443939},
            {lat: -7.614646, lng: 109.443274},
            {lat: -7.614508, lng: 109.443204},
            {lat: -7.613998, lng: 109.443180},
            {lat: -7.613897, lng: 109.443067},
            {lat: -7.612795, lng: 109.441479},
            {lat: -7.611987, lng: 109.441756},
            {lat: -7.611126, lng: 109.441724},
            {lat: -7.610137, lng: 109.441209},
            {lat: -7.608915, lng: 109.441188},
            {lat: -7.607703, lng: 109.441510},
            {lat: -7.606406, lng: 109.440051},
            {lat: -7.605567, lng: 109.440176},
            {lat: -7.604903, lng: 109.439713},
            {lat: -7.604148, lng: 109.437543},
            {lat: -7.603967, lng: 109.437382},
            {lat: -7.603497, lng: 109.437326},
            {lat: -7.603404, lng: 109.437380},
            {lat: -7.603242, lng: 109.437756},
            {lat: -7.603155, lng: 109.437771},
            {lat: -7.602564, lng: 109.437592},
            {lat: -7.602365, lng: 109.437617},
            {lat: -7.601734, lng: 109.437821},
            {lat: -7.601356, lng: 109.437813},
            {lat: -7.601035, lng: 109.437606},
            {lat: -7.600923, lng: 109.437410},
            {lat: -7.600866, lng: 109.437188},
            {lat: -7.600823, lng: 109.436228},
            {lat: -7.600723, lng: 109.436104},
            {lat: -7.599101, lng: 109.435022},
            {lat: -7.598984, lng: 109.434778},
            {lat: -7.599125, lng: 109.433582},
            {lat: -7.599049, lng: 109.433182},
            {lat: -7.598911, lng: 109.432766},
            {lat: -7.598747, lng: 109.432545},
            {lat: -7.598222, lng: 109.432167},
            {lat: -7.597862, lng: 109.432257},
            {lat: -7.597484, lng: 109.432643},
            {lat: -7.597400, lng: 109.432650},
            {lat: -7.597117, lng: 109.432383},
            {lat: -7.596881, lng: 109.430939},
            {lat: -7.596186, lng: 109.430444},
            {lat: -7.594103, lng: 109.430012},
            {lat: -7.593681, lng: 109.429643},
            {lat: -7.593682, lng: 109.429526},
            {lat: -7.593743, lng: 109.429351},
            {lat: -7.594062, lng: 109.429067},
            {lat: -7.594592, lng: 109.428873},
            {lat: -7.594772, lng: 109.428608},
            {lat: -7.594449, lng: 109.428204},
            {lat: -7.593557, lng: 109.428099},
            {lat: -7.593435, lng: 109.428002},
            {lat: -7.593430, lng: 109.427881},
            {lat: -7.593654, lng: 109.427150},
            {lat: -7.592487, lng: 109.426385},
            {lat: -7.592150, lng: 109.426403},
            {lat: -7.591985, lng: 109.426562},
            {lat: -7.590571, lng: 109.426491},
            {lat: -7.590108, lng: 109.426053},
            {lat: -7.589786, lng: 109.425420},
            {lat: -7.588470, lng: 109.425058},
            {lat: -7.588350, lng: 109.424765},
            {lat: -7.588459, lng: 109.424548},
            {lat: -7.589251, lng: 109.424554},
            {lat: -7.589358, lng: 109.424288},
            {lat: -7.589192, lng: 109.423324},
            {lat: -7.588839, lng: 109.423109},
            {lat: -7.588158, lng: 109.423380},
            {lat: -7.587739, lng: 109.423292},
            {lat: -7.587323, lng: 109.422203},
            {lat: -7.586992, lng: 109.421835},
            {lat: -7.586126, lng: 109.421689},
            {lat: -7.585916, lng: 109.420324},
            {lat: -7.585501, lng: 109.420125},
            {lat: -7.584469, lng: 109.421198},
            {lat: -7.583065, lng: 109.421273},
            {lat: -7.582698, lng: 109.421460},
            {lat: -7.578541, lng: 109.421058},
            {lat: -7.577372, lng: 109.419334},
            {lat: -7.577262, lng: 109.419278},
            {lat: -7.575753, lng: 109.418773},
            {lat: -7.574897, lng: 109.418120},
            {lat: -7.574629, lng: 109.418064},
            {lat: -7.574203, lng: 109.418137},
            {lat: -7.573044, lng: 109.417748},
            {lat: -7.572535, lng: 109.417395},
            {lat: -7.571583, lng: 109.416154},
            {lat: -7.571290, lng: 109.416054},
            {lat: -7.570910, lng: 109.416027},
            {lat: -7.570673, lng: 109.415692},
            {lat: -7.569733, lng: 109.415386},
            {lat: -7.567035, lng: 109.415455},
            {lat: -7.566877, lng: 109.415417},
            {lat: -7.566204, lng: 109.415124},
            {lat: -7.565723, lng: 109.415148},
            {lat: -7.564052, lng: 109.416104},
            {lat: -7.563038, lng: 109.416081},
            {lat: -7.561958, lng: 109.417158},
            {lat: -7.560246, lng: 109.418558},
            {lat: -7.558925, lng: 109.419051},
            {lat: -7.558651, lng: 109.419998},
            {lat: -7.558025, lng: 109.420729},
            {lat: -7.557486, lng: 109.423949},
            {lat: -7.557114, lng: 109.424162},
            {lat: -7.556898, lng: 109.424415},
            {lat: -7.557162, lng: 109.424998},
            {lat: -7.557074, lng: 109.425781},
            {lat: -7.556328, lng: 109.426207},
            {lat: -7.556219, lng: 109.426371},
            {lat: -7.556038, lng: 109.427270},
            {lat: -7.556157, lng: 109.427936},
            {lat: -7.556181, lng: 109.428650},
            {lat: -7.553581, lng: 109.430600},
            {lat: -7.552751, lng: 109.430836},
            {lat: -7.551343, lng: 109.431847},
            {lat: -7.550611, lng: 109.431846},
            {lat: -7.550207, lng: 109.432069},
            {lat: -7.549718, lng: 109.432829},
            {lat: -7.549259, lng: 109.433003},
            {lat: -7.548940, lng: 109.432732},
            {lat: -7.548561, lng: 109.432738},
            {lat: -7.547999, lng: 109.432429},
            {lat: -7.547684, lng: 109.432026},
            {lat: -7.547562, lng: 109.431985},
            {lat: -7.547087, lng: 109.432090},
            {lat: -7.546749, lng: 109.431929},
            {lat: -7.545909, lng: 109.432806},
            {lat: -7.545397, lng: 109.432612},
            {lat: -7.544631, lng: 109.432867},
            {lat: -7.543521, lng: 109.432271},
            {lat: -7.541936, lng: 109.432067},
            {lat: -7.541861, lng: 109.431971},
            {lat: -7.541648, lng: 109.431874},
            {lat: -7.540640, lng: 109.432238},
            {lat: -7.539880, lng: 109.432448},
            {lat: -7.539000, lng: 109.433918},
            {lat: -7.538452, lng: 109.433884},
            {lat: -7.537426, lng: 109.433364},
            {lat: -7.536618, lng: 109.433139},
            {lat: -7.536304, lng: 109.432908},
            {lat: -7.536113, lng: 109.432629},
            {lat: -7.535662, lng: 109.434088},
            {lat: -7.532886, lng: 109.434002},
            {lat: -7.530025, lng: 109.434262},
            {lat: -7.529259, lng: 109.434916},
            {lat: -7.528959, lng: 109.434977},
            {lat: -7.528494, lng: 109.435648},
            {lat: -7.527207, lng: 109.436468},
            {lat: -7.527026, lng: 109.438034},
            {lat: -7.526420, lng: 109.438742},
            {lat: -7.526420, lng: 109.438742},
            {lat: -7.526056, lng: 109.441457},
            {lat: -7.524663, lng: 109.445329},
            {lat: -7.523215, lng: 109.455790},
            {lat: -7.520621, lng: 109.459601},
            {lat: -7.519429, lng: 109.460878},
            {lat: -7.519269, lng: 109.462401},
            {lat: -7.518833, lng: 109.463570},
            {lat: -7.518950, lng: 109.465179},
            {lat: -7.522098, lng: 109.467217},
            {lat: -7.522406, lng: 109.468322},
            {lat: -7.520055, lng: 109.473461},
            {lat: -7.517862, lng: 109.479993},
            {lat: -7.516862, lng: 109.482815},
            {lat: -7.515054, lng: 109.482515},
            {lat: -7.511753, lng: 109.484458},
            {lat: -7.509503, lng: 109.492290},
            {lat: -7.508315, lng: 109.493063},
            {lat: -7.508102, lng: 109.495069},
            {lat: -7.503397, lng: 109.496553},
            {lat: -7.503365, lng: 109.497497},
            {lat: -7.510075, lng: 109.500026},
            {lat: -7.509517, lng: 109.504500},
            {lat: -7.508911, lng: 109.507515},
            {lat: -7.509209, lng: 109.510251},
            {lat: -7.510060, lng: 109.512526},
            {lat: -7.510868, lng: 109.515605},
            {lat: -7.511708, lng: 109.519253},
            {lat: -7.513468, lng: 109.522633},
            {lat: -7.515808, lng: 109.525852},
            {lat: -7.515772, lng: 109.530738},
            {lat: -7.515495, lng: 109.535480},
            {lat: -7.516016, lng: 109.538602},
            {lat: -7.518420, lng: 109.539621},
            {lat: -7.520537, lng: 109.542056},
            {lat: -7.521686, lng: 109.544137},
            {lat: -7.522228, lng: 109.544341},
            {lat: -7.522717, lng: 109.545371},
            {lat: -7.519119, lng: 109.547724},
            {lat: -7.515694, lng: 109.548464},
            {lat: -7.513811, lng: 109.549333},
            {lat: -7.512045, lng: 109.551339},
            {lat: -7.511503, lng: 109.551360},
            {lat: -7.510854, lng: 109.553388},
            {lat: -7.511609, lng: 109.555126},
            {lat: -7.511545, lng: 109.555866},
            {lat: -7.510503, lng: 109.557164},
            {lat: -7.510503, lng: 109.557164},
            {lat: -7.509850, lng: 109.558697},
            {lat: -7.509382, lng: 109.564008},
            {lat: -7.509616, lng: 109.567270},
            {lat: -7.510605, lng: 109.569072},
            {lat: -7.510913, lng: 109.570928},
            {lat: -7.512913, lng: 109.571658},
            {lat: -7.513243, lng: 109.572194},
            {lat: -7.513413, lng: 109.578663},
            {lat: -7.513615, lng: 109.583491},
            {lat: -7.514074, lng: 109.586460},
            {lat: -7.516063, lng: 109.587114},
            {lat: -7.515138, lng: 109.587919},
            {lat: -7.513500, lng: 109.588809},
            {lat: -7.512809, lng: 109.593798},
            {lat: -7.512320, lng: 109.594592},
            {lat: -7.511671, lng: 109.594603},
            {lat: -7.511418, lng: 109.595500},
            {lat: -7.511024, lng: 109.595672},
            {lat: -7.510375, lng: 109.596852},
            {lat: -7.510439, lng: 109.597635},
            {lat: -7.509609, lng: 109.598622},
            {lat: -7.508758, lng: 109.599094},
            {lat: -7.508391, lng: 109.600575},
            {lat: -7.507306, lng: 109.601111},
            {lat: -7.506083, lng: 109.602173},
            {lat: -7.506083, lng: 109.602173},
            {lat: -7.505945, lng: 109.603965},
            {lat: -7.505477, lng: 109.606207},
            {lat: -7.504363, lng: 109.611238},
            {lat: -7.503843, lng: 109.611438},
            {lat: -7.503852, lng: 109.611589},
            {lat: -7.504980, lng: 109.612340},
            {lat: -7.503916, lng: 109.613606},
            {lat: -7.503635, lng: 109.613630},
            {lat: -7.503579, lng: 109.612965},
            {lat: -7.503122, lng: 109.612506},
            {lat: -7.502992, lng: 109.612983},
            {lat: -7.502324, lng: 109.612882},
            {lat: -7.501079, lng: 109.615506},
            {lat: -7.499824, lng: 109.615184},
            {lat: -7.498622, lng: 109.615045},
            {lat: -7.498106, lng: 109.615217},
            {lat: -7.497058, lng: 109.614820},
            {lat: -7.496335, lng: 109.615008},
            {lat: -7.496261, lng: 109.615432},
            {lat: -7.495713, lng: 109.615657},
            {lat: -7.495171, lng: 109.616725},
            {lat: -7.494384, lng: 109.617433},
            {lat: -7.492976, lng: 109.618449},
            {lat: -7.491383, lng: 109.619091},
            {lat: -7.490789, lng: 109.621117},
            {lat: -7.489065, lng: 109.622551},
            {lat: -7.488585, lng: 109.623561},
            {lat: -7.487064, lng: 109.625933},
            {lat: -7.484157, lng: 109.628243},
            {lat: -7.481854, lng: 109.633284},
            {lat: -7.480775, lng: 109.637155},
            {lat: -7.483589, lng: 109.640928},
            {lat: -7.487524, lng: 109.644966},
            {lat: -7.491580, lng: 109.645717},
            {lat: -7.494800, lng: 109.647267},
            {lat: -7.496028, lng: 109.648885},
            {lat: -7.496011, lng: 109.654227},
            {lat: -7.493369, lng: 109.659986},
            {lat: -7.492705, lng: 109.663718},
            {lat: -7.492559, lng: 109.664902},
            {lat: -7.500782, lng: 109.672239},
            {lat: -7.502393, lng: 109.672055},
            {lat: -7.502918, lng: 109.672405},
            {lat: -7.502833, lng: 109.673035},
            {lat: -7.502493, lng: 109.673722},
            {lat: -7.502477, lng: 109.674618},
            {lat: -7.502466, lng: 109.675841},
            {lat: -7.503093, lng: 109.676949},
            {lat: -7.502965, lng: 109.677590},
            {lat: -7.501731, lng: 109.678320},
            {lat: -7.501657, lng: 109.678760},
            {lat: -7.501851, lng: 109.679507},
            {lat: -7.501872, lng: 109.681905},
            {lat: -7.503011, lng: 109.683263},
            {lat: -7.503330, lng: 109.684581},
            {lat: -7.502383, lng: 109.686003},
            {lat: -7.501797, lng: 109.687840},
            {lat: -7.501467, lng: 109.687676},
            {lat: -7.499363, lng: 109.688479},
            {lat: -7.498411, lng: 109.688124},
            {lat: -7.498007, lng: 109.688263},
            {lat: -7.497879, lng: 109.688579},
            {lat: -7.497352, lng: 109.688547},
            {lat: -7.496703, lng: 109.689620},
            {lat: -7.496678, lng: 109.693440},
            {lat: -7.495901, lng: 109.698086},
            {lat: -7.494773, lng: 109.700006},
            {lat: -7.490492, lng: 109.704944},
            {lat: -7.489693, lng: 109.705374},
            {lat: -7.488789, lng: 109.706694},
            {lat: -7.487832, lng: 109.706855},
            {lat: -7.487119, lng: 109.707606},
            {lat: -7.486010, lng: 109.707832},
            {lat: -7.485148, lng: 109.709195},
            {lat: -7.484191, lng: 109.710311},
            {lat: -7.484446, lng: 109.711545},
            {lat: -7.482595, lng: 109.712124},
            {lat: -7.482723, lng: 109.713977},
            {lat: -7.479872, lng: 109.716756},
            {lat: -7.478007, lng: 109.719576},
            {lat: -7.478081, lng: 109.720981},
            {lat: -7.476698, lng: 109.723406},
            {lat: -7.476783, lng: 109.724146},
            {lat: -7.476251, lng: 109.724758},
            {lat: -7.476698, lng: 109.728910},
            {lat: -7.478357, lng: 109.733159},
            {lat: -7.476570, lng: 109.733449},
            {lat: -7.474639, lng: 109.735729},
            {lat: -7.472692, lng: 109.733745},
            {lat: -7.472149, lng: 109.732897},
            {lat: -7.470279, lng: 109.732325},
            {lat: -7.469715, lng: 109.733194},
            {lat: -7.470183, lng: 109.733870},
            {lat: -7.470119, lng: 109.734492},
            {lat: -7.471028, lng: 109.734805},
            {lat: -7.470911, lng: 109.735382},
            {lat: -7.469486, lng: 109.735908},
            {lat: -7.469295, lng: 109.736970},
            {lat: -7.468859, lng: 109.737227},
            {lat: -7.468774, lng: 109.737871},
            {lat: -7.469359, lng: 109.738772},
            {lat: -7.469019, lng: 109.739834},
            {lat: -7.468732, lng: 109.741003},
            {lat: -7.467349, lng: 109.741851},
            {lat: -7.466983, lng: 109.741649},
            {lat: -7.465925, lng: 109.741841},
            {lat: -7.465142, lng: 109.742433},
            {lat: -7.464238, lng: 109.743532},
            {lat: -7.463578, lng: 109.743961},
            {lat: -7.464163, lng: 109.744444},
            {lat: -7.463078, lng: 109.745699},
            {lat: -7.463025, lng: 109.746353},
            {lat: -7.462583, lng: 109.746721},
            {lat: -7.462290, lng: 109.747048},
            {lat: -7.462170, lng: 109.747061},
            {lat: -7.461581, lng: 109.746956},
            {lat: -7.460983, lng: 109.747091},
            {lat: -7.460637, lng: 109.747353},
            {lat: -7.460184, lng: 109.747175},
            {lat: -7.459948, lng: 109.747197},
            {lat: -7.459836, lng: 109.747299},
            {lat: -7.459961, lng: 109.747634},
            {lat: -7.459812, lng: 109.747993},
            {lat: -7.459775, lng: 109.748304},
            {lat: -7.458972, lng: 109.748696},
            {lat: -7.458616, lng: 109.748894},
            {lat: -7.458352, lng: 109.749127},
            {lat: -7.458251, lng: 109.749312},
            {lat: -7.458208, lng: 109.749822},
            {lat: -7.457870, lng: 109.750600},
            {lat: -7.463166, lng: 109.752457},
            {lat: -7.465129, lng: 109.754881},
            {lat: -7.467618, lng: 109.756426},
            {lat: -7.468480, lng: 109.757080},
            {lat: -7.468788, lng: 109.758367},
            {lat: -7.468926, lng: 109.759408},
            {lat: -7.471554, lng: 109.758625},
            {lat: -7.472767, lng: 109.759030},
            {lat: -7.475607, lng: 109.759749},
            {lat: -7.476011, lng: 109.759888},
            {lat: -7.476469, lng: 109.759792},
            {lat: -7.478022, lng: 109.760651},
            {lat: -7.478799, lng: 109.761166},
            {lat: -7.481405, lng: 109.761037},
            {lat: -7.481830, lng: 109.760640},
            {lat: -7.486117, lng: 109.760812},
            {lat: -7.487766, lng: 109.761445},
            {lat: -7.488064, lng: 109.761670},
            {lat: -7.488394, lng: 109.761691},
            {lat: -7.489224, lng: 109.760028},
            {lat: -7.489756, lng: 109.758859},
            {lat: -7.490607, lng: 109.758720},
            {lat: -7.491466, lng: 109.758003},
            {lat: -7.492353, lng: 109.757947},
            {lat: -7.493119, lng: 109.757736},
            {lat: -7.493449, lng: 109.757768},
            {lat: -7.493832, lng: 109.757618},
            {lat: -7.494018, lng: 109.757645},
            {lat: -7.494678, lng: 109.758037},
            {lat: -7.494880, lng: 109.758316},
            {lat: -7.495226, lng: 109.758144},
            {lat: -7.495832, lng: 109.758337},
            {lat: -7.496465, lng: 109.758471},
            {lat: -7.496507, lng: 109.758853},
            {lat: -7.498624, lng: 109.761671},
            {lat: -7.500751, lng: 109.763409},
            {lat: -7.501187, lng: 109.763956},
            {lat: -7.502398, lng: 109.764848},
            {lat: -7.507253, lng: 109.768494},
            {lat: -7.508338, lng: 109.768322},
            {lat: -7.510114, lng: 109.767131},
            {lat: -7.511241, lng: 109.768354},
            {lat: -7.511486, lng: 109.770017},
            {lat: -7.516741, lng: 109.773851},
            {lat: -7.518773, lng: 109.772317},
            {lat: -7.518539, lng: 109.767049},
            {lat: -7.518507, lng: 109.766566},
            {lat: -7.518794, lng: 109.766223},
            {lat: -7.519953, lng: 109.766234},
            {lat: -7.520304, lng: 109.762811},
            {lat: -7.523457, lng: 109.764201},
            {lat: -7.523053, lng: 109.763268},
            {lat: -7.523010, lng: 109.761938},
            {lat: -7.523595, lng: 109.759803},
            {lat: -7.522744, lng: 109.756499},
            {lat: -7.522797, lng: 109.756113},
            {lat: -7.523225, lng: 109.755074},
            {lat: -7.523055, lng: 109.753776},
            {lat: -7.524012, lng: 109.751362},
            {lat: -7.527097, lng: 109.751233},
            {lat: -7.528437, lng: 109.749999},
            {lat: -7.530496, lng: 109.744701},
            {lat: -7.531240, lng: 109.742135},
            {lat: -7.530910, lng: 109.741384},
            {lat: -7.530889, lng: 109.740815},
            {lat: -7.533101, lng: 109.739538},
            {lat: -7.534516, lng: 109.738841},
            {lat: -7.535320, lng: 109.737898},
            {lat: -7.537288, lng: 109.738510},
            {lat: -7.542468, lng: 109.738843},
            {lat: -7.543723, lng: 109.738704},
            {lat: -7.544074, lng: 109.736848},
            {lat: -7.545127, lng: 109.738994},
            {lat: -7.546605, lng: 109.739949},
            {lat: -7.547903, lng: 109.740432},
            {lat: -7.550030, lng: 109.741945},
            {lat: -7.551296, lng: 109.742192},
            {lat: -7.552200, lng: 109.741849},
            {lat: -7.553476, lng: 109.741302},
            {lat: -7.556433, lng: 109.741409},
            {lat: -7.556837, lng: 109.741860},
            {lat: -7.557135, lng: 109.741903},
            {lat: -7.558688, lng: 109.740594},
            {lat: -7.558965, lng: 109.741002},
            {lat: -7.564485, lng: 109.741528},
            {lat: -7.569542, lng: 109.741487},
            {lat: -7.570116, lng: 109.741101},
            {lat: -7.570605, lng: 109.740897},
            {lat: -7.571348, lng: 109.740932},
            {lat: -7.571816, lng: 109.741111},
            {lat: -7.572316, lng: 109.741090},
            {lat: -7.573316, lng: 109.741401},
            {lat: -7.574156, lng: 109.741219},
            {lat: -7.574656, lng: 109.743526},
            {lat: -7.575103, lng: 109.744685},
            {lat: -7.576209, lng: 109.746069},
            {lat: -7.577251, lng: 109.747303},
            {lat: -7.578027, lng: 109.748193},
            {lat: -7.579151, lng: 109.749422},
            {lat: -7.579437, lng: 109.748828},
            {lat: -7.581558, lng: 109.749839},
            {lat: -7.580176, lng: 109.750491},
            {lat: -7.581257, lng: 109.751688},
            {lat: -7.591509, lng: 109.755236},
            {lat: -7.597622, lng: 109.758142},
            {lat: -7.599913, lng: 109.760045},
            {lat: -7.600807, lng: 109.762196},
            {lat: -7.601216, lng: 109.762491},
            {lat: -7.601859, lng: 109.762759},
            {lat: -7.602284, lng: 109.763317},
            {lat: -7.602555, lng: 109.763480},
            {lat: -7.602699, lng: 109.764137},
            {lat: -7.603132, lng: 109.764346},
            {lat: -7.603510, lng: 109.765499},
            {lat: -7.603502, lng: 109.767773},
            {lat: -7.604252, lng: 109.770283},
            {lat: -7.604856, lng: 109.770816},
            {lat: -7.604891, lng: 109.771588},
            {lat: -7.604941, lng: 109.771718},
            {lat: -7.605602, lng: 109.772297},
            {lat: -7.605411, lng: 109.778215},
            {lat: -7.605379, lng: 109.779803},
            {lat: -7.609928, lng: 109.783390},
            {lat: -7.609854, lng: 109.784184},
            {lat: -7.611066, lng: 109.785879},
            {lat: -7.611428, lng: 109.786029},
            {lat: -7.611524, lng: 109.786201},
            {lat: -7.611333, lng: 109.786383},
            {lat: -7.609515, lng: 109.786394},
            {lat: -7.609477, lng: 109.786675},
            {lat: -7.609269, lng: 109.786685},
            {lat: -7.609249, lng: 109.786883},
            {lat: -7.609440, lng: 109.786880},
            {lat: -7.609408, lng: 109.787513},
            {lat: -7.610461, lng: 109.787760},
            {lat: -7.610282, lng: 109.790872},
            {lat: -7.610580, lng: 109.791301},
            {lat: -7.610604, lng: 109.799589},
            {lat: -7.611763, lng: 109.799707},
            {lat: -7.609381, lng: 109.803816},
            {lat: -7.608807, lng: 109.803580},
            {lat: -7.605951, lng: 109.805359},
            {lat: -7.606440, lng: 109.807108},
            {lat: -7.606397, lng: 109.807451},
            {lat: -7.603817, lng: 109.808784},
            {lat: -7.602913, lng: 109.808870},
            {lat: -7.599528, lng: 109.811028},
            {lat: -7.598746, lng: 109.811935},
            {lat: -7.598682, lng: 109.813273},
            {lat: -7.599246, lng: 109.815011},
            {lat: -7.599617, lng: 109.814651},
            {lat: -7.599806, lng: 109.814808},
            {lat: -7.603537, lng: 109.811876},
            {lat: -7.604959, lng: 109.811799},
            {lat: -7.606301, lng: 109.812681},
            {lat: -7.613063, lng: 109.812511},
            {lat: -7.618184, lng: 109.812037},
            {lat: -7.620634, lng: 109.811597},
            {lat: -7.621096, lng: 109.811687},
            {lat: -7.621327, lng: 109.811647},
            {lat: -7.621502, lng: 109.811540},
            {lat: -7.621827, lng: 109.811209},
            {lat: -7.622863, lng: 109.810526},
            {lat: -7.623757, lng: 109.811453},
            {lat: -7.623749, lng: 109.812475},
            {lat: -7.624182, lng: 109.813357},
            {lat: -7.624530, lng: 109.813623},
            {lat: -7.624780, lng: 109.813688},
            {lat: -7.625346, lng: 109.813629},
            {lat: -7.625995, lng: 109.813970},
            {lat: -7.626578, lng: 109.814405},
            {lat: -7.626960, lng: 109.814463},
            {lat: -7.627960, lng: 109.814478},
            {lat: -7.628484, lng: 109.814553},
            {lat: -7.628719, lng: 109.814505},
            {lat: -7.629276, lng: 109.814229},
            {lat: -7.629631, lng: 109.814196},
            {lat: -7.630593, lng: 109.814765},
            {lat: -7.630838, lng: 109.814796},
            {lat: -7.631307, lng: 109.814744},
            {lat: -7.631422, lng: 109.814584},
            {lat: -7.631648, lng: 109.814110},
            {lat: -7.631455, lng: 109.813317},
            {lat: -7.631466, lng: 109.812936},
            {lat: -7.631570, lng: 109.812622},
            {lat: -7.631847, lng: 109.812126},
            {lat: -7.632535, lng: 109.811459},
            {lat: -7.633806, lng: 109.809896},
            {lat: -7.633904, lng: 109.809546},
            {lat: -7.633885, lng: 109.809191},
            {lat: -7.633749, lng: 109.809058},
            {lat: -7.632445, lng: 109.808677},
            {lat: -7.632285, lng: 109.808611},
            {lat: -7.632229, lng: 109.808524},
            {lat: -7.632182, lng: 109.808278},
            {lat: -7.632217, lng: 109.808130},
            {lat: -7.632346, lng: 109.807997},
            {lat: -7.632605, lng: 109.807797},
            {lat: -7.632861, lng: 109.807709},
            {lat: -7.633975, lng: 109.807681},
            {lat: -7.634063, lng: 109.807665},
            {lat: -7.634117, lng: 109.807612},
            {lat: -7.634169, lng: 109.807083},
            {lat: -7.634528, lng: 109.806910},
            {lat: -7.635459, lng: 109.806198},
            {lat: -7.637003, lng: 109.805718},
            {lat: -7.637520, lng: 109.805862},
            {lat: -7.638454, lng: 109.806491},
            {lat: -7.638661, lng: 109.806515},
            {lat: -7.638883, lng: 109.806416},
            {lat: -7.639224, lng: 109.806164},
            {lat: -7.639511, lng: 109.805524},
            {lat: -7.640186, lng: 109.804866},
            {lat: -7.642726, lng: 109.803964},
            {lat: -7.642870, lng: 109.803774},
            {lat: -7.643011, lng: 109.802827},
            {lat: -7.643281, lng: 109.800818},
            {lat: -7.643918, lng: 109.799677},
            {lat: -7.644035, lng: 109.799687},
            {lat: -7.644569, lng: 109.800064},
            {lat: -7.645246, lng: 109.799899},
            {lat: -7.646611, lng: 109.798483},
            {lat: -7.646801, lng: 109.798420},
            {lat: -7.647253, lng: 109.798433},
            {lat: -7.647711, lng: 109.799363},
            {lat: -7.647922, lng: 109.799349},
            {lat: -7.648253, lng: 109.799047},
            {lat: -7.648598, lng: 109.798145},
            {lat: -7.649071, lng: 109.798494},
            {lat: -7.648685, lng: 109.800181},
            {lat: -7.649438, lng: 109.800243},
            {lat: -7.650166, lng: 109.799639},
            {lat: -7.651063, lng: 109.799789},
            {lat: -7.651741, lng: 109.800337},
            {lat: -7.651789, lng: 109.801425},
            {lat: -7.652034, lng: 109.802020},
            {lat: -7.652938, lng: 109.802267},
            {lat: -7.654304, lng: 109.802149},
            {lat: -7.654640, lng: 109.802179},
            {lat: -7.654712, lng: 109.802275},
            {lat: -7.654680, lng: 109.803018},
            {lat: -7.654860, lng: 109.803478},
            {lat: -7.658514, lng: 109.802295},
            {lat: -7.658949, lng: 109.802362},
            {lat: -7.659267, lng: 109.802535},
            {lat: -7.659960, lng: 109.803097},
            {lat: -7.660096, lng: 109.803049},
            {lat: -7.660444, lng: 109.802408},
            {lat: -7.660502, lng: 109.802360},
            {lat: -7.661775, lng: 109.801975},
            {lat: -7.663081, lng: 109.802233},
            {lat: -7.663199, lng: 109.802585},
            {lat: -7.663114, lng: 109.803187},
            {lat: -7.663188, lng: 109.803326},
            {lat: -7.663435, lng: 109.803438},
            {lat: -7.663622, lng: 109.803457},
            {lat: -7.663912, lng: 109.803298},
            {lat: -7.664815, lng: 109.802496},
            {lat: -7.664934, lng: 109.802467},
            {lat: -7.665123, lng: 109.802531},
            {lat: -7.665260, lng: 109.802722},
            {lat: -7.665151, lng: 109.803809},
            {lat: -7.665471, lng: 109.804000},
            {lat: -7.666029, lng: 109.804121},
            {lat: -7.666571, lng: 109.804942},
            {lat: -7.666738, lng: 109.805080},
            {lat: -7.667042, lng: 109.805179},
            {lat: -7.667229, lng: 109.805343},
            {lat: -7.667575, lng: 109.806784},
            {lat: -7.667757, lng: 109.806923},
            {lat: -7.668282, lng: 109.807040},
            {lat: -7.669116, lng: 109.807006},
            {lat: -7.669431, lng: 109.807093},
            {lat: -7.669631, lng: 109.807221},
            {lat: -7.670213, lng: 109.807874},
            {lat: -7.670505, lng: 109.807940},
            {lat: -7.672694, lng: 109.807017},
            {lat: -7.673310, lng: 109.806981},
            {lat: -7.674323, lng: 109.806693},
            {lat: -7.675609, lng: 109.806840},
            {lat: -7.676236, lng: 109.806424},
            {lat: -7.676839, lng: 109.806903},
            {lat: -7.678401, lng: 109.806941},
            {lat: -7.678553, lng: 109.806812},
            {lat: -7.678754, lng: 109.806300},
            {lat: -7.680500, lng: 109.805764},
            {lat: -7.681582, lng: 109.806053},
            {lat: -7.682185, lng: 109.806086},
            {lat: -7.683635, lng: 109.805354},
            {lat: -7.685421, lng: 109.805475},
            {lat: -7.688353, lng: 109.805313},
            {lat: -7.688587, lng: 109.806697},
            {lat: -7.690246, lng: 109.806407},
            {lat: -7.689906, lng: 109.803913},
            {lat: -7.693079, lng: 109.803244},
            {lat: -7.694428, lng: 109.801052},
            {lat: -7.695132, lng: 109.800255},
            {lat: -7.696391, lng: 109.798175},
            {lat: -7.698962, lng: 109.798088},
            {lat: -7.703203, lng: 109.800063},
            {lat: -7.706385, lng: 109.800041},
            {lat: -7.706879, lng: 109.800572},
            {lat: -7.706974, lng: 109.802128},
            {lat: -7.708464, lng: 109.802275},
            {lat: -7.709148, lng: 109.802896},
            {lat: -7.709063, lng: 109.803415},
            {lat: -7.707827, lng: 109.805142},
            {lat: -7.707805, lng: 109.805445},
            {lat: -7.708751, lng: 109.808045},
            {lat: -7.710042, lng: 109.807868},
            {lat: -7.710414, lng: 109.808050},
            {lat: -7.710669, lng: 109.808495},
            {lat: -7.710637, lng: 109.809080},
            {lat: -7.710173, lng: 109.810365},
            {lat: -7.710242, lng: 109.810964},
            {lat: -7.710550, lng: 109.811425},
            {lat: -7.711321, lng: 109.811768},
            {lat: -7.712097, lng: 109.811929},
            {lat: -7.712365, lng: 109.812335},
            {lat: -7.712152, lng: 109.813272},
            {lat: -7.712096, lng: 109.814279},
            {lat: -7.712322, lng: 109.814743},
            {lat: -7.713041, lng: 109.815264},
            {lat: -7.713092, lng: 109.815423},
            {lat: -7.713081, lng: 109.816075},
            {lat: -7.714796, lng: 109.825830},
            {lat: -7.714567, lng: 109.827626},
            {lat: -7.714827, lng: 109.828366},
            {lat: -7.715616, lng: 109.829136},
            {lat: -7.715736, lng: 109.830338},
            {lat: -7.715808, lng: 109.830441},
            {lat: -7.715928, lng: 109.830463},
            {lat: -7.716081, lng: 109.830436},
            {lat: -7.718352, lng: 109.828247},
            {lat: -7.718977, lng: 109.828192},
            {lat: -7.719468, lng: 109.828786},
            {lat: -7.720657, lng: 109.829178},
            {lat: -7.723497, lng: 109.829816},
            {lat: -7.723646, lng: 109.829151},
            {lat: -7.724348, lng: 109.829022},
            {lat: -7.724486, lng: 109.829719},
            {lat: -7.725588, lng: 109.829749},
            {lat: -7.726334, lng: 109.829041},
            {lat: -7.726776, lng: 109.829505},
            {lat: -7.730695, lng: 109.830491},
            {lat: -7.730558, lng: 109.828858},
            {lat: -7.733503, lng: 109.828928},
            {lat: -7.733880, lng: 109.831827},
            {lat: -7.748968, lng: 109.832204},
            {lat: -7.749074, lng: 109.831685},
            {lat: -7.751795, lng: 109.831903},
            {lat: -7.752197, lng: 109.831676},
            {lat: -7.753278, lng: 109.831581},
            {lat: -7.753286, lng: 109.832525},
            {lat: -7.756046, lng: 109.833148},
            {lat: -7.756811, lng: 109.833684},
            {lat: -7.762269, lng: 109.834398},
            {lat: -7.762528, lng: 109.833719},
            {lat: -7.765225, lng: 109.833855},
            {lat: -7.765212, lng: 109.834293},
            {lat: -7.773231, lng: 109.835109},
            {lat: -7.773454, lng: 109.835921},
            {lat: -7.773282, lng: 109.839289},
            {lat: -7.803639, lng: 109.829745},
            {lat: -7.804083, lng: 109.830927},
            {lat: -7.804117, lng: 109.832927},
            {lat: -7.823617, lng: 109.828683},
            {lat: -7.826202, lng: 109.826323},
            {lat: -7.827329, lng: 109.824327},
            {lat: -7.828573, lng: 109.820819},
            {lat: -7.829987, lng: 109.818931},
            {lat: -7.829659, lng: 109.818154},
            {lat: -7.829659, lng: 109.817860},
            {lat: -7.829563, lng: 109.817400},
            {lat: -7.829422, lng: 109.817001},
            {lat: -7.829377, lng: 109.816705},
            {lat: -7.829372, lng: 109.816507},
            {lat: -7.828999, lng: 109.814892},
            {lat: -7.828738, lng: 109.814233},
            {lat: -7.828674, lng: 109.814010},
            {lat: -7.828478, lng: 109.813558},
            {lat: -7.828449, lng: 109.813194},
            {lat: -7.828442, lng: 109.812801},
            {lat: -7.828197, lng: 109.812227},
            {lat: -7.828181, lng: 109.811996},
            {lat: -7.828156, lng: 109.811800},
            {lat: -7.828158, lng: 109.811663},
            {lat: -7.828136, lng: 109.811572},
            {lat: -7.828075, lng: 109.811468},
            {lat: -7.827897, lng: 109.811258},
            {lat: -7.827875, lng: 109.810965},
            {lat: -7.827663, lng: 109.810508},
            {lat: -7.827690, lng: 109.809941},
            {lat: -7.827670, lng: 109.809825},
            {lat: -7.827397, lng: 109.809197},
            {lat: -7.827346, lng: 109.808939},
            {lat: -7.827175, lng: 109.808295},
            {lat: -7.827155, lng: 109.808169},
            {lat: -7.827124, lng: 109.808063},
            {lat: -7.827091, lng: 109.808019},
            {lat: -7.826708, lng: 109.807130},
            {lat: -7.826741, lng: 109.806685},
            {lat: -7.826733, lng: 109.806465},
            {lat: -7.826284, lng: 109.805711},
            {lat: -7.826255, lng: 109.805596},
            {lat: -7.826257, lng: 109.805243},
            {lat: -7.826249, lng: 109.805170},
            {lat: -7.826235, lng: 109.805024},
            {lat: -7.825908, lng: 109.804101},
            {lat: -7.825876, lng: 109.803727},
            {lat: -7.825766, lng: 109.803512},
            {lat: -7.825746, lng: 109.803218},
            {lat: -7.825605, lng: 109.802966},
            {lat: -7.825517, lng: 109.802749},
            {lat: -7.825251, lng: 109.802376},
            {lat: -7.825155, lng: 109.801531},
            {lat: -7.825221, lng: 109.801392},
            {lat: -7.825078, lng: 109.800767},
            {lat: -7.824972, lng: 109.800499},
            {lat: -7.824722, lng: 109.799507},
            {lat: -7.824557, lng: 109.799303},
            {lat: -7.824398, lng: 109.798906},
            {lat: -7.824387, lng: 109.798423},
            {lat: -7.823811, lng: 109.795903},
            {lat: -7.823611, lng: 109.795597},
            {lat: -7.823530, lng: 109.795361},
            {lat: -7.823506, lng: 109.794867},
            {lat: -7.823588, lng: 109.794760},
            {lat: -7.823545, lng: 109.794586},
            {lat: -7.823338, lng: 109.794213},
            {lat: -7.823181, lng: 109.793424},
            {lat: -7.823131, lng: 109.793346},
            {lat: -7.823022, lng: 109.792783},
            {lat: -7.823006, lng: 109.792351},
            {lat: -7.822889, lng: 109.792083},
            {lat: -7.822876, lng: 109.791954},
            {lat: -7.822552, lng: 109.791249},
            {lat: -7.822414, lng: 109.791045},
            {lat: -7.822351, lng: 109.790397},
            {lat: -7.822255, lng: 109.790365},
            {lat: -7.822190, lng: 109.790405},
            {lat: -7.822161, lng: 109.790059},
            {lat: -7.821595, lng: 109.788372},
            {lat: -7.821571, lng: 109.788034},
            {lat: -7.821600, lng: 109.787798},
            {lat: -7.821486, lng: 109.787600},
            {lat: -7.820607, lng: 109.784163},
            {lat: -7.820580, lng: 109.783742},
            {lat: -7.820551, lng: 109.783627},
            {lat: -7.820451, lng: 109.783553},
            {lat: -7.820403, lng: 109.783220},
            {lat: -7.820161, lng: 109.782761},
            {lat: -7.802582, lng: 109.710667},
            {lat: -7.802004, lng: 109.709884},
            {lat: -7.802004, lng: 109.709352},
            {lat: -7.802461, lng: 109.709320},
            {lat: -7.802557, lng: 109.707936},//
            {lat: -7.791610, lng: 109.657774},
            {lat: -7.759010, lng: 109.469984},
            {lat: -7.758876, lng: 109.469814},
            {lat: -7.758806, lng: 109.469416},
            {lat: -7.759043, lng: 109.469273},
            {lat: -7.759242, lng: 109.469268},
            {lat: -7.759413, lng: 109.469121},
            {lat: -7.759440, lng: 109.469006},
            {lat: -7.759327, lng: 109.468930},
            {lat: -7.758210, lng: 109.469383},
            {lat: -7.757870, lng: 109.468840},
            {lat: -7.757882, lng: 109.468591},
            {lat: -7.758080, lng: 109.468527},
            {lat: -7.758170, lng: 109.468578},
            {lat: -7.758518, lng: 109.468396},
            {lat: -7.758588, lng: 109.468218},
            {lat: -7.758581, lng: 109.468064},
            {lat: -7.758586, lng: 109.467147},
            {lat: -7.758902, lng: 109.466761},
            {lat: -7.759555, lng: 109.466692},
            {lat: -7.759688, lng: 109.466927},
            {lat: -7.759853, lng: 109.466959},
            {lat: -7.759917, lng: 109.467093},
            {lat: -7.760821, lng: 109.466809},
            {lat: -7.760922, lng: 109.466879},
            {lat: -7.761092, lng: 109.466777},
            {lat: -7.761145, lng: 109.466686},
            {lat: -7.761317, lng: 109.466684},
            {lat: -7.761439, lng: 109.466574},
            {lat: -7.761636, lng: 109.466354},
            {lat: -7.761825, lng: 109.466330},
            {lat: -7.761870, lng: 109.466255},
            {lat: -7.761779, lng: 109.466263},
            {lat: -7.761930, lng: 109.466030},
            {lat: -7.762489, lng: 109.465819},
            {lat: -7.762502, lng: 109.465769},
            {lat: -7.762486, lng: 109.465710},
            {lat: -7.762531, lng: 109.465670},
            {lat: -7.762544, lng: 109.465565},
            {lat: -7.762533, lng: 109.465333},
            {lat: -7.762599, lng: 109.465277},
            {lat: -7.762620, lng: 109.465247},
            {lat: -7.762623, lng: 109.465110},
            {lat: -7.762660, lng: 109.465064},
            {lat: -7.762649, lng: 109.464895},
            {lat: -7.763025, lng: 109.464557},
            {lat: -7.763097, lng: 109.464391},
            {lat: -7.763185, lng: 109.464257},
            {lat: -7.763156, lng: 109.464142},
            {lat: -7.762725, lng: 109.464019},
            {lat: -7.762449, lng: 109.463802},
            {lat: -7.761708, lng: 109.463802},
            {lat: -7.761628, lng: 109.463314},
            {lat: -7.761761, lng: 109.463107},
            {lat: -7.761907, lng: 109.462817},
            {lat: -7.762109, lng: 109.462704},
            {lat: -7.762338, lng: 109.462500},
            {lat: -7.762479, lng: 109.462275},
            {lat: -7.763237, lng: 109.461809},
            {lat: -7.763381, lng: 109.461774},
            {lat: -7.763414, lng: 109.461670},
            {lat: -7.763526, lng: 109.461614},
            {lat: -7.763518, lng: 109.461517},
            {lat: -7.763696, lng: 109.461442},
            {lat: -7.763988, lng: 109.461415},
            {lat: -7.764025, lng: 109.461351},
            {lat: -7.764082, lng: 109.461279},
            {lat: -7.764076, lng: 109.461251},
            {lat: -7.764046, lng: 109.461227},
            {lat: -7.763184, lng: 109.461340},
            {lat: -7.763072, lng: 109.461305},
            {lat: -7.763048, lng: 109.461195},
            {lat: -7.763093, lng: 109.461067},
            {lat: -7.763062, lng: 109.460983},
            {lat: -7.762927, lng: 109.460980},
            {lat: -7.762636, lng: 109.461141},
            {lat: -7.762589, lng: 109.460656},
            {lat: -7.762539, lng: 109.460533},
            {lat: -7.763153, lng: 109.460176},
            {lat: -7.763315, lng: 109.460152},
            {lat: -7.763360, lng: 109.460072},
            {lat: -7.763514, lng: 109.459959},
            {lat: -7.763518, lng: 109.459930},
            {lat: -7.763490, lng: 109.459923},
            {lat: -7.763279, lng: 109.459965},
            {lat: -7.763614, lng: 109.459522},
            {lat: -7.763731, lng: 109.459476},
            {lat: -7.763821, lng: 109.459328},
            {lat: -7.763950, lng: 109.459275},
            {lat: -7.763959, lng: 109.459257},
            {lat: -7.763950, lng: 109.459240},
            {lat: -7.763847, lng: 109.459190},
            {lat: -7.764618, lng: 109.458412},
            {lat: -7.764621, lng: 109.458264},
            {lat: -7.764650, lng: 109.458256},
            {lat: -7.764679, lng: 109.458223},
            {lat: -7.764683, lng: 109.458101},
            {lat: -7.764741, lng: 109.458133},
            {lat: -7.764869, lng: 109.458130},
            {lat: -7.764927, lng: 109.458044},
            {lat: -7.765057, lng: 109.457992},
            {lat: -7.765137, lng: 109.457906},
            {lat: -7.765121, lng: 109.457809},
            {lat: -7.765219, lng: 109.457793},
            {lat: -7.765248, lng: 109.457718},
            {lat: -7.765317, lng: 109.457691},
            {lat: -7.765314, lng: 109.457651},
            {lat: -7.765303, lng: 109.457611},
            {lat: -7.765322, lng: 109.457571},
            {lat: -7.765317, lng: 109.457473},
            {lat: -7.765386, lng: 109.457462},
            {lat: -7.765399, lng: 109.457521},
            {lat: -7.765427, lng: 109.457543},
            {lat: -7.765544, lng: 109.457534},
            {lat: -7.765709, lng: 109.457413},
            {lat: -7.765735, lng: 109.457311},
            {lat: -7.765829, lng: 109.457235},
            {lat: -7.765824, lng: 109.457195},
            {lat: -7.765526, lng: 109.457128},
            {lat: -7.765191, lng: 109.457174},
            {lat: -7.765069, lng: 109.457110},
            {lat: -7.765016, lng: 109.456895},
            {lat: -7.765245, lng: 109.456305},
            {lat: -7.765373, lng: 109.456233},
            {lat: -7.765392, lng: 109.456102},
            {lat: -7.765359, lng: 109.455981},
            {lat: -7.765287, lng: 109.455898},
            {lat: -7.765303, lng: 109.455842},
            {lat: -7.765185, lng: 109.454545},//
            {lat: -7.763473, lng: 109.454783},
            {lat: -7.763207, lng: 109.454477},
            {lat: -7.763180, lng: 109.454042},
            {lat: -7.766275, lng: 109.451324},
            {lat: -7.766519, lng: 109.450589},
            {lat: -7.765339, lng: 109.450997},
            {lat: -7.765233, lng: 109.449538},
            {lat: -7.767880, lng: 109.444506},
            {lat: -7.767901, lng: 109.444281},
            {lat: -7.767178, lng: 109.443637},
            {lat: -7.766687, lng: 109.443631},
            {lat: -7.766682, lng: 109.443555},
            {lat: -7.767187, lng: 109.443301},
            {lat: -7.766509, lng: 109.440278},
            {lat: -7.768359, lng: 109.436737},
            {lat: -7.768635, lng: 109.436565},
            {lat: -7.768922, lng: 109.437026},
            {lat: -7.769741, lng: 109.436254},
            {lat: -7.770028, lng: 109.436222},
            {lat: -7.770251, lng: 109.436867},
            {lat: -7.771654, lng: 109.437393},
            {lat: -7.773185, lng: 109.436578},
            {lat: -7.774046, lng: 109.434153},
            {lat: -7.774620, lng: 109.434689},
            {lat: -7.775141, lng: 109.434764},
            {lat: -7.775811, lng: 109.434356},
            {lat: -7.775683, lng: 109.434002},
            {lat: -7.775768, lng: 109.433723},
            {lat: -7.775545, lng: 109.433476},
            {lat: -7.775758, lng: 109.433143},
            {lat: -7.775567, lng: 109.432928},
            {lat: -7.773739, lng: 109.433647},
            {lat: -7.773229, lng: 109.432306},
            {lat: -7.771464, lng: 109.427414},
            {lat: -7.772027, lng: 109.426717},
            {lat: -7.771889, lng: 109.426320},
            {lat: -7.771878, lng: 109.425987},
            {lat: -7.771240, lng: 109.425633},
            {lat: -7.770314, lng: 109.420512},
            {lat: -7.770516, lng: 109.419911},
            {lat: -7.770463, lng: 109.418441},
            {lat: -7.771515, lng: 109.416263},
            {lat: -7.771845, lng: 109.416295},
            {lat: -7.772866, lng: 109.414954},
            {lat: -7.773195, lng: 109.414504},
            {lat: -7.773745, lng: 109.414298},
            {lat: -7.774170, lng: 109.414585},
            {lat: -7.775658, lng: 109.412954},
            {lat: -7.776046, lng: 109.413018},
            {lat: -7.776296, lng: 109.412256},
            {lat: -7.775605, lng: 109.411269},
            {lat: -7.775653, lng: 109.411124},
            {lat: -7.775457, lng: 109.411077},
            {lat: -7.774644, lng: 109.411140},
            {lat: -7.774855, lng: 109.410633},
            {lat: -7.773403, lng: 109.410835},
            {lat: -7.772627, lng: 109.412434},
            {lat: -7.769289, lng: 109.412552},
            {lat: -7.766787, lng: 109.410272},
            {lat: -7.761982, lng: 109.400047},
            {lat: -7.762751, lng: 109.398321},
            {lat: -7.763372, lng: 109.398434},
            {lat: -7.763314, lng: 109.397967},
            {lat: -7.763022, lng: 109.397838},
            {lat: -7.763001, lng: 109.397280},
            {lat: -7.762713, lng: 109.396926},
            {lat: -7.761838, lng: 109.397259},
            {lat: -7.761758, lng: 109.397457},
            {lat: -7.761564, lng: 109.397393},
            {lat: -7.761609, lng: 109.397114},
            {lat: -7.761359, lng: 109.397060},
            {lat: -7.760875, lng: 109.397554},
            {lat: -7.760120, lng: 109.397734},
            {lat: -7.759987, lng: 109.397608},
            {lat: -7.760003, lng: 109.397396},
            {lat: -7.759801, lng: 109.397286},
            {lat: -7.759580, lng: 109.396715},
            {lat: -7.759641, lng: 109.396517},
            {lat: -7.759601, lng: 109.396380},
            {lat: -7.758809, lng: 109.396669},
            {lat: -7.758277, lng: 109.396113},
            {lat: -7.757256, lng: 109.397218},
            {lat: -7.756554, lng: 109.396252},
            {lat: -7.757256, lng: 109.395158},
            {lat: -7.757043, lng: 109.394386},
            {lat: -7.755119, lng: 109.393892},
            {lat: -7.755087, lng: 109.392401},
            {lat: -7.754157, lng: 109.392127},
            {lat: -7.753992, lng: 109.391322},
            {lat: -7.756021, lng: 109.388874},
            {lat: -7.755628, lng: 109.387554},
            {lat: -7.752055, lng: 109.387186},
            {lat: -7.751422, lng: 109.386521},
            {lat: -7.750763, lng: 109.386564},
            {lat: -7.750306, lng: 109.386897},
            {lat: -7.748057, lng: 109.387081},
            {lat: -7.747494, lng: 109.387585},
            {lat: -7.746771, lng: 109.387564},
            {lat: -7.745772, lng: 109.388176},
            {lat: -7.743050, lng: 109.387586},
            {lat: -7.742848, lng: 109.388112},
            {lat: -7.741998, lng: 109.387860},
            {lat: -7.741292, lng: 109.387906},
            {lat: -7.740332, lng: 109.388430},
            {lat: -7.738631, lng: 109.388366},
            {lat: -7.738107, lng: 109.387726},
            {lat: -7.736156, lng: 109.387935},
            {lat: -7.735580, lng: 109.389659},
            {lat: -7.733326, lng: 109.390120},
            {lat: -7.732899, lng: 109.391163},
            {lat: -7.732378, lng: 109.391053},
            {lat: -7.732367, lng: 109.390559},
            {lat: -7.731786, lng: 109.390703},
            {lat: -7.731218, lng: 109.391466},
            {lat: -7.728741, lng: 109.391927},
            {lat: -7.727894, lng: 109.393711},
            {lat: -7.727086, lng: 109.393947},
            {lat: -7.725437, lng: 109.393366},
            {lat: -7.724470, lng: 109.393397},
            {lat: -7.720516, lng: 109.393947},
            {lat: -7.720920, lng: 109.390650},
            {lat: -7.720378, lng: 109.388815}
        ];

    // Construct the polygon.
        var kabupatenKebumen = new google.maps.Polygon({
          paths: koordinatKebumen,
          strokeColor: '#f00000',
          strokeOpacity: 0.8,
          strokeWeight: 2,
          fillColor: '',
          fillOpacity: 0
        });

 
    var map = new google.maps.Map(document.getElementById("map"),
        myOptions);

     var marker1 = new google.maps.Marker({
     position : new google.maps.LatLng(default_lat,default_lng),
     title : 'lokasi',
     map : map,
     draggable : true
 });

     var polygon = new google.maps.Polygon({
     position : new google.maps.LatLng(default_lat,default_lng),
     title : 'lokasi',
     map : map,
     draggable : true
 });
 
 //updateMarkerPosition(latLng);

  kabupatenKebumen.setMap(map);
  infoWindow = new google.maps.InfoWindow;

 google.maps.event.addListener(marker1, 'drag', function() {
  updateMarkerPosition(marker1.getPosition());
 });
</script>